Package org.apache.sysds.runtime.lineage

## Class LineageEstimatorStatistics

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageEstimatorStatistics

    public class LineageEstimatorStatistics
    extends Object

### Constructor Summary

Constructors
`LineageEstimatorStatistics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `displayComputeTime()`
`static String` `displayLineageEstimates()`
`static String` `displayReusableInsts()`
`static String` `displaySize()`
`static void` `incrementSavedComputeTime​(long delta)`
`static void` `reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageEstimatorStatistics

    public LineageEstimatorStatistics()

### Method Detail

#### reset

    public static void reset()

#### incrementSavedComputeTime

    public static void incrementSavedComputeTime​(long delta)

#### displayComputeTime

    public static String displayComputeTime()

#### displaySize

    public static String displaySize()

#### displayReusableInsts

    public static String displayReusableInsts()

#### displayLineageEstimates

    public static String displayLineageEstimates()